<div dir="ltr">I've checked out habs and am trying to build all the packages as described in the readme.  Every once in a while the build will fail with a checksum error while installing dependencies<div><br></div><div>

<div>==> Installing missing dependencies...</div><div>resolving dependencies...</div><div>looking for inter-conflicts...</div><div><br></div><div>Packages (3): haskell-polyparse-1.9-58  haskell-text-1.1.0.1-3  haskell-cpphs-1.18.4-3</div>

<div><br></div><div>Total Installed Size:   37.85 MiB</div><div><br></div><div>:: Proceed with installation? [Y/n] </div><div>(3/3) checking keys in keyring                                         [########################################] 100%</div>

<div>(3/3) checking package integrity                                       [########################################] 100%</div><div>:: File /var/cache/pacman/pkg/haskell-polyparse-1.9-58-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (checksum)).</div>

<div>Do you want to delete it? [Y/n] </div><div>:: File /var/cache/pacman/pkg/haskell-cpphs-1.18.4-3-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (checksum)).</div><div>Do you want to delete it? [Y/n] </div>

<div>error: failed to commit transaction (invalid or corrupted package (checksum))</div><div>Errors occurred, no packages were upgraded.</div><div>==> ERROR: 'pacman' failed to install missing dependencies.</div>

<div><br></div><div>==> ERROR: Build failed, check /home/rwallace/Development/habs/x86_64-chroot/build/build</div><div>*** ERROR: Trapped ERR, something went very wrong.</div></div><div><br></div><div>If I just restart the build, it appears to download the problem dependency instead of using the locally built package.</div>

<div><br></div><div>Is this normal, or am I doing something wrong?</div><div><br></div><div>Thanks,</div><div>Rich</div></div>